Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.repository
Interface SwiftObjectTypeDefinition

All Superinterfaces:
  com.stc.model.common.CMPartner, java.util.EventListener, com.stc.editor.javamodel.beans.ImportJarListCookie, com.stc.repository.persistence.client.Marshalable, org.openide.nodes.Node.Cookie, com.stc.model.common.ObjectTypeDefinition, com.stc.repository.persistence.client.Persistable, com.stc.model.common.cme.PortType, com.stc.model.common.ProjectElement, java.beans.PropertyChangeListener, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, com.stc.bpms.common.integration.model.wsdlproducer.WSDLProducer

All Known Implementing Classes:
  SwiftObjectTypeDefinitionImpl

    public interface SwiftObjectTypeDefinition

extends com.stc.model.common.ObjectTypeDefinition, com.stc.editor.javamodel.beans.ImportJarListCookie, com.stc.model.common.cme.PortType, com.stc.bpms.common.integration.model.wsdlproducer.WSDLProducer, com.stc.model.common.CMPartner

This interface allows the user to manipulate object type definitions.

Version:
  $Revision: 1.4 $

Field Summary
`static java.lang.String` | `PROJECT_ELEMENT_TYPE` Project element type identification

Fields inherited from interface com.stc.model.common.ObjectTypeDefinition
`RCS_ID`

Fields inherited from interface com.stc.model.common.cme.PortType
`RCS_ID`

Fields inherited from interface com.stc.bpms.common.integration.model.wsdlproducer.WSDLProducer
`WSDLDOCUMENTIMM_TARGETNAMESPACE_XPATH, WSDLDOCUMENTIMM_XPATH`

Method Summary
`void` | `addJarReference(com.stc.model.common.ProjectElement projectElement)` This method adds reference to a jar to the Swift OTD
`com.stc.model.common.ProjectElement` | `getJarReference(java.lang.String jarFileName)` This method returns the jar reference for the given jar file name.
`java.util.Collection` | `getJarReferences()` This method returns all the jar references of the Swift OTD.
`java.lang.String` | `getStaticWSDL()` Retrieves the WSDL Document associated with this eWay.
`com.stc.model.common.ProjectElement` | `removeJarReference(com.stc.model.common.ProjectElement projectElement)` This method removes reference to a jar file from the Swift OTD.
`void` | `setStaticWSDL(java.lang.String wsdlDocument)` Sets the WSDL Document associated with this eWay.

Methods inherited from interface com.stc.model.common.ObjectTypeDefinition
`addExternalObjectTypeDefinition, createOTDLocalizedInfo, deleteOTDLocalizedInfo, getAccess, getAllExternalObjectTypeDefinitions, getDocumentation, getExternalObjectTypeDefinition, getExternalObjectTypeDefinitions, getOrigin, getOTDLocalizedInfo, getOTDLocalizedInfos, getOtdMetaContainer, getSerial, getStructure, getTopNodeId, isExternal, isMessageable, removeExternalObjectTypeDefinition, setAccess, setDocumentation, setOrigin, setOtdMetaContainer, setSerial, setStructure, setTopNodeId`

Methods inherited from interface com.stc.model.common.ProjectElement
`getDescription, getName, getParentProject, getProjectElementType, setDescription, setName, setParentProject`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getLastUpdatedBy, getLastUpdatedDate, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Methods inherited from interface com.stc.editor.javamodel.beans.ImportJarListCookie
`getImportJarList`

Methods inherited from interface com.stc.model.common.cme.PortType
`getIconURL`

Methods inherited from interface com.stc.bpms.common.integration.model.wsdlproducer.WSDLProducer
`getWSDLDocumentImm`

Methods inherited from interface com.stc.model.common.CMPartner
`hasDefaultPartner`

Field Detail

### PROJECT_ELEMENT_TYPE

    static final java.lang.String PROJECT_ELEMENT_TYPE

  Project element type identification

  See Also:
    Constant Field Values

Method Detail

### addJarReference

    void addJarReference(com.stc.model.common.ProjectElement projectElement)
                         throws com.stc.repository.RepositoryException

  This method adds reference to a jar to the Swift OTD

  Throws:
    `com.stc.repository.RepositoryException` - repository exception

### removeJarReference

    com.stc.model.common.ProjectElement removeJarReference(com.stc.model.common.ProjectElement projectElement)
                                                           throws com.stc.repository.RepositoryException

  This method removes reference to a jar file from the Swift OTD.

  Throws:
    `com.stc.repository.RepositoryException` - repository exception

### getJarReferences

    java.util.Collection getJarReferences()
                                          throws com.stc.repository.RepositoryException

  This method returns all the jar references of the Swift OTD.

  Throws:
    `com.stc.repository.RepositoryException` - repository exception

### getJarReference

    com.stc.model.common.ProjectElement getJarReference(java.lang.String jarFileName)
                                                        throws com.stc.repository.RepositoryException

  This method returns the jar reference for the given jar file name.

  Parameters:
    `jarFileName` - - logical file name
  Throws:
    `com.stc.repository.RepositoryException` - repository exception

### getStaticWSDL

    java.lang.String getStaticWSDL()
                                   throws com.stc.repository.RepositoryException

  Retrieves the WSDL Document associated with this eWay. The WSDL is stored as a String. It is the responsibility of the caller to check that this is a valid WSDL Document

  Returns:
    the WSDL Document as a String
  Throws:
    `com.stc.repository.RepositoryException` - if any error occurs

### setStaticWSDL

    void setStaticWSDL(java.lang.String wsdlDocument)
                       throws com.stc.repository.RepositoryException

  Sets the WSDL Document associated with this eWay. The WSDL is stored as a String. It is the responsibility of the caller to check that this is a valid WSDL Document

  Parameters:
    `wsdlDocument` - the WSDL Document as a String
  Throws:
    `com.stc.repository.RepositoryException` - if any error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.